Commit 499920dc authored by Sebastian Eichelbaum's avatar Sebastian Eichelbaum
Browse files

[CHANGE] - debian control file now uses the alternative depend stuff thingy to...

[CHANGE] - debian control file now uses the alternative depend stuff thingy to allow building with libgl1-mesa and libgl (virtual package)
parent dcbe21e5
......@@ -5,7 +5,8 @@ Maintainer: Sebastian Eichelbaum <eichelbaum@informatik.uni-leipzig.de>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
cmake (>= 2.8.0), doxygen (>= 1.6.3), graphviz (>= 2.26.3),
libgl1-mesa-dev (>= 7.7.0), libopenscenegraph-dev (>= 2.8.1), libopenthreads-dev (>= 2.8.1),
libgl1-mesa-dev | libgl-dev,
libopenscenegraph-dev (>= 2.8.1), libopenthreads-dev (>= 2.8.1),
libqt4-dev (>= 4:4.6.0), libqtwebkit-dev (>= 2.0.0),
libboost-dev (>= 1.42.0), libboost-program-options-dev (>= 1.42.0), libboost-thread-dev (>= 1.42.0),
libboost-filesystem-dev (>= 1.42.0), libboost-date-time-dev (>= 1.42.0), libboost-system-dev (>= 1.42.0),
......@@ -40,7 +41,8 @@ Package: libopenwalnut1-dev
Section: libdevel
Architecture: any
Depends: libopenwalnut1 (= ${binary:Version}),
libgl1-mesa-dev (>= 7.7.0), libopenscenegraph-dev (>= 2.8.1), libopenthreads-dev (>= 2.8.1),
libgl1-mesa-dev | libgl-dev,
libopenscenegraph-dev (>= 2.8.1), libopenthreads-dev (>= 2.8.1),
libboost-dev (>= 1.42.0), libboost-program-options-dev (>= 1.42.0), libboost-thread-dev (>= 1.42.0),
libboost-filesystem-dev (>= 1.42.0), libboost-date-time-dev (>= 1.42.0), libboost-system-dev (>= 1.42.0),
libboost-signals-dev (>= 1.42.0), libboost-regex-dev (>= 1.42.0),
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment